Bug 1279147 - [abrt] transmission-gtk: event_exit(): transmission-gtk killed by SIGABRT
[abrt] transmission-gtk: event_exit(): transmission-gtk killed by SIGABRT
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: transmission (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:8e9c4554b625534c635d51cb221...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-08 01:32 EST by Niki Guldbrand
Modified: 2016-12-20 10:30 EST (History)
29 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:30:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (24.38 KB, text/plain)
2015-11-08 01:32 EST, Niki Guldbrand
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-08 01:32 EST, Niki Guldbrand
no flags Details
File: core_backtrace (12.41 KB, text/plain)
2015-11-08 01:32 EST, Niki Guldbrand
no flags Details
File: dso_list (12.48 KB, text/plain)
2015-11-08 01:32 EST, Niki Guldbrand
no flags Details
File: environ (1.59 KB, text/plain)
2015-11-08 01:32 EST, Niki Guldbrand
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-08 01:32 EST, Niki Guldbrand
no flags Details
File: maps (62.91 KB, text/plain)
2015-11-08 01:32 EST, Niki Guldbrand
no flags Details
File: mountinfo (4.57 KB, text/plain)
2015-11-08 01:32 EST, Niki Guldbrand
no flags Details
File: open_fds (1.85 KB, text/plain)
2015-11-08 01:32 EST, Niki Guldbrand
no flags Details
File: proc_pid_status (1.00 KB, text/plain)
2015-11-08 01:32 EST, Niki Guldbrand
no flags Details
Torrent files present during the crash. (5.26 MB, application/zip)
2015-12-04 10:25 EST, Alexander G. M. Smith
no flags Details

  None (edit)
Description Niki Guldbrand 2015-11-08 01:32:16 EST
Version-Release number of selected component:
transmission-gtk-2.84-8.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        transmission-gtk
crash_function: event_exit
executable:     /usr/bin/transmission-gtk
global_pid:     28978
kernel:         4.2.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 event_exit at log.c:79
 #3 event_errx at log.c:136
 #4 evdns_cancel_request at evdns.c:2798
 #5 evdns_getaddrinfo_cancel at evdns.c:4651
 #6 tau_tracker_free at announcer-udp.c:457
 #7 tr_ptrArrayForeach at ptrarray.c:43
 #8 tr_ptrArrayDestruct at ptrarray.c:28
 #9 tr_tracker_udp_close at announcer-udp.c:836
 #10 sessionCloseImpl at session.c:1840
 #11 readFromPipe at trevent.c:190

Potential duplicate: bug 1206628
Comment 1 Niki Guldbrand 2015-11-08 01:32:23 EST
Created attachment 1091179 [details]
File: backtrace
Comment 2 Niki Guldbrand 2015-11-08 01:32:24 EST
Created attachment 1091180 [details]
File: cgroup
Comment 3 Niki Guldbrand 2015-11-08 01:32:26 EST
Created attachment 1091181 [details]
File: core_backtrace
Comment 4 Niki Guldbrand 2015-11-08 01:32:28 EST
Created attachment 1091182 [details]
File: dso_list
Comment 5 Niki Guldbrand 2015-11-08 01:32:30 EST
Created attachment 1091183 [details]
File: environ
Comment 6 Niki Guldbrand 2015-11-08 01:32:31 EST
Created attachment 1091184 [details]
File: limits
Comment 7 Niki Guldbrand 2015-11-08 01:32:34 EST
Created attachment 1091185 [details]
File: maps
Comment 8 Niki Guldbrand 2015-11-08 01:32:36 EST
Created attachment 1091186 [details]
File: mountinfo
Comment 9 Niki Guldbrand 2015-11-08 01:32:37 EST
Created attachment 1091187 [details]
File: open_fds
Comment 10 Niki Guldbrand 2015-11-08 01:32:39 EST
Created attachment 1091188 [details]
File: proc_pid_status
Comment 11 iakovos Gurulian 2015-11-15 21:32:26 EST
Another user experienced a similar problem:

I quit transmission and after I got a message that it is sending data to the trackers, I got this crash report.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        transmission-gtk
crash_function: event_exit
executable:     /usr/bin/transmission-gtk
global_pid:     16906
kernel:         4.2.5-300.fc23.x86_64
package:        transmission-gtk-2.84-8.fc23
reason:         transmission-gtk killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 12 Alexander G. M. Smith 2015-12-03 11:45:06 EST
Another user experienced a similar problem:

Transmission crashes on exit, but only after running for a while (typically overnight - half a day).  It's just seeding a couple of dozen torrents, including a few big ones like Wikipedia (largest is 120GB).  It's also using bandwidth limits, which vary from day (50KB/s) to night (900KB/s) on a 10 megabit upload link.  Happens pretty often, about 50% of the time after a long run.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        transmission-gtk
crash_function: event_exit
executable:     /usr/bin/transmission-gtk
global_pid:     19123
kernel:         4.2.6-301.fc23.x86_64
package:        transmission-gtk-2.84-8.fc23
reason:         transmission-gtk killed by SIGABRT
runlevel:       N 3
type:           CCpp
uid:            1002
Comment 13 Alexander G. M. Smith 2015-12-04 10:25 EST
Created attachment 1102317 [details]
Torrent files present during the crash.

These are all the torrents which are seeding (only about a dozen are usually active) during the over night crash on exit.  A few of the Sita ones are duplicates, adding them all will detect that and only keep one of each unique instance.  You should be able to recreate the problem using these and time, enough time to make it show up.
Comment 14 Phoenix 2015-12-11 08:06:08 EST
Another user experienced a similar problem:

I quited transmission while a torrent job was still running and another one was in standby

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        transmission-gtk
crash_function: event_exit
executable:     /usr/bin/transmission-gtk
global_pid:     688
kernel:         4.2.6-301.fc23.x86_64
package:        transmission-gtk-2.84-8.fc23
reason:         transmission-gtk killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Han Han 2016-01-22 23:05:12 EST
Another user experienced a similar problem:

kill transmission-daemon to reproduce the problem

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        transmission-daemon
crash_function: event_exit
executable:     /usr/bin/transmission-daemon
global_pid:     17358
kernel:         4.3.3-301.fc23.x86_64
package:        transmission-daemon-2.84-8.fc23
reason:         transmission-daemon killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 16 Christian Stadelmann 2016-02-02 18:27:59 EST
Steps to reproduce:
1. run transmission-gtk (or probably any other version of transmission)
2. send a SIGTERM to transmission-gtk

What happens:
Crash

What should happen:
transmission should exit cleanly.
Comment 17 Alexander G. M. Smith 2016-03-17 12:22:16 EDT
Seems to be working without crashing since version 2.90!
Comment 18 Christian Stadelmann 2016-03-17 18:53:58 EDT
(In reply to Alexander G. M. Smith from comment #17)
> Seems to be working without crashing since version 2.90!

I can confirm that. There also is a release note [1] stating
> Fix crash on session shutdown (evdns_getaddrinfo_cancel) 

[1] https://trac.transmissionbt.com/wiki/Changes#version-2.90

This bug report can be closed.
Comment 19 Fedora End Of Life 2016-11-24 08:11:30 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 20 Fedora End Of Life 2016-12-20 10:30:57 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.